## unicorn-hat 2.2.3

=== Makefile ===
.PHONY: clean unicornd unicorn

all: unicornd unicorn

unicornd:
	make -C unicornd/ unicornd

unicorn:
	make -C unicorn/ unicorn

clean:
	make -C unicornd/ clean
	make -C unicorn/ clean
