=== legacy/rpi-ws281x/Makefile ===
.PHONY: clean build install

all: clean build

install:
	sudo ./setup.py install

build:
	sudo ./setup.py build

clean:
	sudo rm -rf build
