=== debian/changelog ===
unicorn-hat (2.2.3-0ubuntu1) jammy; urgency=medium

  * Initial packaging for Ubuntu (LP: #1969649)

 -- Dave Jones <dave.jones@canonical.com>  Wed, 20 Apr 2022 18:07:51 +0100
