=== debian/control ===
Source: unicorn-hat
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Phil Howard <phil@pimoroni.com>
Homepage: https://github.com/pimoroni/unicorn-hat
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-setuptools,
               python3-sphinx,
               python3-sphinx-rtd-theme,
               python3-rpi-ws281x,
Standards-Version: 4.5.1

Package: python3-unicornhat
Architecture: armhf arm64
Depends: ${misc:Depends}, ${python3:Depends}
Suggests: python-unicornhat-doc
Description: Python library for the Pimoroni Unicorn HAT and pHAT.
 Unicorn HAT provides a wash of controllable colour that is ideal for
 mood-lighting, 8x8 pixel art, persistence of vision effects, status
 indications, or just blasting colour into your surroundings.
 .
 This is the Python 3 version of the package.

Package: python-unicornhat-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: Python library for the Pimoroni Unicorn HAT and pHAT.
 Unicorn HAT provides a wash of controllable colour that is ideal for
 mood-lighting, 8x8 pixel art, persistence of vision effects, status
 indications, or just blasting colour into your surroundings.
 .
 This is the API documentation package.
