=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DH_OPTIONS
export PYBUILD_DIR=library/UnicornHat
export PYBUILD_NAME=unicornhat

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. sphinx-build -N -bhtml library/sphinx/ build/html

override_dh_installdocs:
	dh_installdocs --doc-main-package=python3-unicornhat -ppython-unicornhat-doc
	dh_installdocs -ppython3-unicornhat
